libzypp 17.37.10

zyppng::function_traits< R(*)(Args...)> Struct Template Reference

`#include <zypp-core/zyppng/meta/function_traits.h>`

Inheritance diagram for zyppng::function_traits< R(*)(Args...)>:

## Additional Inherited Members
Public Types inherited from zyppng::function_traits< R(Args...)>
using | return_type = R
Static Public Attributes inherited from zyppng::function_traits< R(Args...)>
static constexpr std::size_t | arity = sizeof...(Args)

## Detailed Description

template<class R, class... Args>
struct zyppng::function_traits< R(*)(Args...)>

Definition at line 45 of file function_traits.h.

The documentation for this struct was generated from the following file:

- zypp-core/zyppng/meta/function_traits.h